diff --git a/test/src/result-conversions-test.c b/test/src/result-conversions-test.c
index 2dc5d9a..9da6d09 100644
--- a/test/src/result-conversions-test.c
+++ b/test/src/result-conversions-test.c
@@ -7,8 +7,18 @@
 #include <ctype.h>
 #include <math.h>
 
+#ifdef WIN32
+#include <float.h>
+#endif
+
 #include "common.h"
 
+#ifdef WIN32
+#define isnan(x)	_isnan(x)
+#define isinf(x)	((_fpclass(x) == _FPCLASS_PINF) || \
+					 (_fpclass(x) == _FPCLASS_NINF))
+#endif
+
 static const char *pgtypes[] =
 {
 	/*
